Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSyntax
Enum ArithExpr.ArithmeticOp

    java.lang.Object
      java.lang.Enum<ArithExpr.ArithmeticOp>
          jason.asSyntax.ArithExpr.ArithmeticOp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ArithExpr.ArithmeticOp>

Enclosing class:
  ArithExpr

    public static enum ArithExpr.ArithmeticOp

extends java.lang.Enum<ArithExpr.ArithmeticOp>

Enum Constant Summary
`div`
`intdiv`
`minus`
`mod`
`none`
`plus`
`pow`
`times`

Method Summary
`static ArithExpr.ArithmeticOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ArithExpr.ArithmeticOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final ArithExpr.ArithmeticOp none

### plus

    public static final ArithExpr.ArithmeticOp plus

### minus

    public static final ArithExpr.ArithmeticOp minus

### times

    public static final ArithExpr.ArithmeticOp times

### div

    public static final ArithExpr.ArithmeticOp div

### mod

    public static final ArithExpr.ArithmeticOp mod

### pow

    public static final ArithExpr.ArithmeticOp pow

### intdiv

    public static final ArithExpr.ArithmeticOp intdiv

Method Detail

### values

    public static ArithExpr.ArithmeticOp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ArithExpr.ArithmeticOp c : ArithExpr.ArithmeticOp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ArithExpr.ArithmeticOp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD